﻿
Public Class Form1

	Private _tblGebaude As ZEVDataSet.T_GebäudeDataTable

	Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
		_tblGebaude = ZEVDataSet.T_Gebäude
		_tblGebaude.BeginLoadData() ' beschleunigt das Laden
		For i = 0 To 999
			Dim rw = _tblGebaude.NewT_GebäudeRow
			rw.GebäudeName = $"{i:d2}Gebaude" ' nutze diese Schreibweise - Stichwort "String-Interpolation", um Texte zu verknüpfen
			_tblGebaude.AddT_GebäudeRow(rw)
		Next
		_tblGebaude.EndLoadData()
	End Sub

#If False Then

	Private Sub ComboBox1_TextChanged(sender As Object, e As EventArgs) Handles ComboBox1.TextChanged

		If FormLoaded = True Then
			Dim enteredText As String = ComboBox1.Text.Trim()
			Debug.Print("Eingabe >" & enteredText & "<")

			If enteredText = "" Then
				ComboBox1.DataSource.DefaultView.RowFilter = ComboBox1.DataSource.Columns("GebäudeName").ColumnName & " like '%'"
			Else
				ComboBox1.DataSource.DefaultView.RowFilter = ComboBox1.DataSource.Columns("GebäudeName").ColumnName & " like '%" & enteredText & "%'"
			End If

			For i As Integer = 0 To ComboBox1.Items.Count - 1
				Debug.Print("Item " & i & ": " & ComboBox1.Items(i).Item("GebäudeName"))
			Next i

			ComboBox1.Text = enteredText
			ComboBox1.SelectionStart = ComboBox1.Text.Length

		End If

	End Sub
#End If
	Private Sub ComboBox1_TextChanged(sender As Object, e As EventArgs) Handles ComboBox1.TextChanged
		Debug.WriteLine("ComboBox1_TextChanged")
	End Sub

	Private Sub ComboBox1_Click(sender As Object, e As EventArgs) Handles ComboBox1.Click, ComboBox1.KeyDown 'mehrere EventHandler tun dasselbe
		ComboBox1.DroppedDown = True
	End Sub


	Private Sub ComboBox1_TextUpdate(sender As Object, e As EventArgs) Handles ComboBox1.TextUpdate
		Debug.WriteLine("ComboBox1_TextUpdate")

		Dim enteredText As String = ComboBox1.Text.Trim()
		Dim sFilter = ""
		If enteredText = "" Then
			sFilter = "GebäudeName like '%'"
		Else
			sFilter = $"GebäudeName like '%{enteredText}%'"
		End If
		T_GebäudeBindingSource.Filter = sFilter

		ComboBox1.Text = enteredText
		ComboBox1.SelectionStart = ComboBox1.Text.Length
	End Sub

	Private Sub ComboBox1_SelectedIndexChanged(sender As Object, e As EventArgs) Handles ComboBox1.SelectedIndexChanged
		Debug.WriteLine("ComboBox1_SelectedIndexChanged")

	End Sub
End Class
